> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the current Firedrill account profile



## OpenAPI

````yaml /api-reference/openapi.json get /v1/me
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/me:
    get:
      summary: Read the current Firedrill account profile
      operationId: profile.get
      responses:
        '200':
          description: Current account profile
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CurrentUser'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    CurrentUser:
      type: object
      properties:
        userId:
          type: string
          pattern: ^usr_[0-9a-z]{12,32}$
        organizationId:
          type: string
          pattern: ^org_[0-9a-z]{12,32}$
        email:
          type: string
          maxLength: 320
          format: email
          pattern: >-
            ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
        displayName:
          type: string
          minLength: 1
          maxLength: 100
          pattern: ^[^\r\n\t]+$
        organizationRole:
          type: string
          enum:
            - owner
            - admin
            - member
        projectGrants:
          type: array
          items:
            type: object
            properties:
              projectId:
                type: string
                pattern: ^prj_[0-9a-z]{12,32}$
              role:
                type: string
                enum:
                  - viewer
                  - builder
                  - manager
              actions:
                type: array
                items:
                  type: string
                  enum:
                    - profile.read
                    - profile.manage
                    - organization.read
                    - organization.manage
                    - organization.billing.read
                    - organization.billing.manage
                    - organization.audit.read
                    - organization.evidence.export
                    - organization.members.manage
                    - project.create
                    - project.read
                    - project.manage
                    - project.members.manage
                    - repository.read
                    - repository.connect
                    - repository.sync
                    - build.read
                    - build.publish
                    - environment.read
                    - environment.create
                    - environment.promote
                    - environment.archive
                    - session.read
                    - session.create
                    - session.control
                    - session.destroy
                    - drill.read
                    - drill.run
                    - run.read
                    - run.cancel
                    - run.compare
                    - evidence.read
                    - evidence.delete
                    - evidence.share
                    - evidence.export
                    - evidence.upload
                    - credential.manage
                    - tool.read
                    - tool.publish
                    - authoring.read
                    - authoring.run
                    - authoring.publish
                    - ci.execute
                    - demo.read
                    - demo.manage
            required:
              - projectId
              - role
              - actions
            additionalProperties: false
      required:
        - userId
        - organizationId
        - email
        - organizationRole
        - projectGrants
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````